%define	name	libwmf
%define	version	0.2.8.4
%define api 0.2
%define major	7
%define libname %mklibname wmf%{api}_ %major

Summary:	A library to convert wmf files
Name:		%{name}
Version:	%{version}
%define subrel 1
Release:	%mkrel 16
License:	GPL
Group:		Text tools
BuildRequires:	automake1.9
BuildRequires:	freetype2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	png-devel 
BuildRequires:	libexpat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libx11-devel
BuildRequires:	libice-devel
URL:		http://sourceforge.net/projects/wvware/
Source:		http://download.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch:		libwmf-0.2.7-libwmf-config.patch
Patch1:		libwmf-0.2.8.3-CAN-2004-0941.patch
Patch2:		libwmf-0.2.8.3-CAN-2004-0990.patch
Patch3:		libwmf-0.2.8.4-intoverflow.patch
Patch4:		libwmf-0.2.8.4-CVE2007-2756.patch
Patch5:		libwmf-0.2.8.4-rh-CVE-2009-1364.diff
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n %libname
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	urw-fonts
Conflicts:	%{name} < 0.2.8.4-7
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libwmf.

%package -n %libname-devel
Summary:	A library to convert wmf files. - development environment
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwmf-devel = %{version} libwmf0.2-devel = %{version}
Obsoletes:	libwmf-devel < %{version}-%{release}

%description -n %libname-devel
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .fpons
%patch1 -p1 -b .can-2004-0941
%patch2 -p1 -b .can-2004-0990
%patch3 -p1 -b .cve-2006-3376
%patch4 -p1 -b .cve-2007-2756
%patch5 -p0 -b .CVE-2009-1364

# libtoolize on un-common architectures
aclocal
libtoolize --copy --force
autoconf
automake
CFLAGS="%{optflags}" ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-ttf=%{_prefix}

%build
make

%install
rm -rf %{buildroot} installed-docs
make install DESTDIR=%{buildroot}

mv %{buildroot}%{_prefix}/share/doc/* installed-docs

#gw no windows line endings
perl -pi -e 's/\r//' $(find installed-docs -type f )

# remove anything relevant to fonts.
rm -rf %{buildroot}%{_bindir}/libwmf-fontmap %{buildroot}%{_datadir}/libwmf
# remove static libraries.
rm -f %{buildroot}%{_libdir}/libwmf*.a %{buildroot}%{_libdir}/gtk-*/*/*/*.a

# multiarch support
%multiarch_binaries %{buildroot}%{_bindir}/libwmf-config

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%postun -n %libname
/sbin/ldconfig
if [ -x  %_bindir/gdk-pixbuf-query-loaders ]; then
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib
fi

%files
# beware not to take gd files here!
%defattr(-,root,root)
%docdir COPYING
%{_bindir}/wmf2*

%files -n %libname
# beware not to take gd files here!
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libwmf*-%{api}.so.%{major}*
%_libdir/gtk-2.0/*/loaders/io-wmf.so
%_libdir/gtk-2.0/*/loaders/io-wmf.la

%files -n %libname-devel
# beware not to take gd files here!
%defattr(-,root,root)
%doc COPYING CREDITS README NEWS
%doc installed-docs/*
%doc ChangeLog
%{_bindir}/libwmf-config
%multiarch %{multiarch_bindir}/libwmf-config
%{_libdir}/libwmf.la
%{_libdir}/libwmf.so
%{_libdir}/libwmflite.la
%{_libdir}/libwmflite.so
%{_includedir}/libwmf


%changelog
* Tue May 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-16.1mdv2008.1
- P5: security fix for CVE-2009-1364 (redhat)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-16mdv2008.1
+ Revision: 179016
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.8.4-14mdv2008.0
+ Revision: 40000
- Bump release
- Fix bug #31483

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8.4-13mdv2008.0
+ Revision: 37261
- rebuild for expat
- spec file clean


* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-12mdv2007.0
+ Revision: 86613
- bot rebuild
- bot rebuild
- add conflict to fix upgrade

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-9mdv2007.1
+ Revision: 86282
- fix buildrequires
- unpack patches
- fix postun script
- move gtk loader do the library package

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-7mdv2007.1
+ Revision: 86229
- Import libwmf

* Wed Nov 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8.4-7mdv2007.1
- fix postun script
- fix post installation deps

* Thu Aug 24 2006 Marcel Pol <mpol@mandriva.org> 0.2.8.4-6mdv2007.0
- P3: security fix for CVE-2006-3376 (from Fedora, thx Stew)

* Sun Jul 16 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.8.4-5
- add BuildRequires: libexpat-devel libjpeg-devel libx11-devel libice-devel

* Sun Jul 02 2006 Marcel Pol <mpol@mandriva.org> 0.2.8.4-4mdv2007.0
-- P1: security fix for CAN-2004-0941 (embedded GD)
-- P2: security fix for CVE-2006-0990

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-1mdv2007.0
- Rebuild

* Fri Jun 09 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8.4-2mdv2007.0
- rebuild for new gtk
- fix deps

* Fri Oct 07 2005 Marcel Pol <mpol@mandriva.org> 0.2.8.4-1mdk
- 0.2.8.4

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.8.3-6mdk 
- Fix post requires

* Wed Jun 01 2005 Gtz Waschk <waschk@mandriva.org> 0.2.8.3-5mdk
- move the gdk-pixbuf-query-loaders call to the main package

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.2.8.3-4mdk
- fix automake calls
- replace prereq by the new syntax

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.8.3-3mdk
- multiarch

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8.3-2mdk
- biarch support

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.2.8.3-1mdk
- 0.2.8.3
- drop patch1, merged upstream

* Sun Apr 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.8-7mdk
- rebuild for new gtk

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-6mdk
- patch 1: fix build with newer freetype (#6579, Marcel Pol)

